# $Revision: 1.66 $, $Date: 2012/01/22 22:45:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	LibXML
Summary:	XML::LibXML - interface to the GNOME libxml2 library
Summary(pl.UTF-8):	XML::LibXML - interfejs do biblioteki libxml2 z GNOME
Name:		perl-XML-LibXML
Version:	1.90
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4831d5fcda76f3f3ac456e5973f017ed
URL:		http://search.cpan.org/dist/XML-LibXML/
%{?with_tests:BuildRequires:	iconv}
BuildRequires:	libxml2-devel >= 2.5.10
BuildRequires:	perl-XML-NamespaceSupport >= 1.07
BuildRequires:	perl-XML-SAX >= 0.11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libxml2 >= 2.5.10
Provides:	perl-XML-LibXML-XPathContext = %{version}
Obsoletes:	perl-XML-LibXML-Common
Obsoletes:	perl-XML-LibXML-XPathContext <= 0:0.07
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements much of the DOM Level 2 API as an interface to
the GNOME libxml2 library. This makes it a fast and highly capable
validating XML parser library, as well as a high performance DOM.

%description -l pl.UTF-8
Ten moduł to implementacja większości API DOM Level 2 jako interfejsu
do biblioteki GNOME libxml2. Daje to szybki i o dużych możliwościach
parser sprawdzający poprawność XML-a, a także wysoko wydajny DOM.

%package SAX
Summary:	XML::LibXML::SAX Perl module - XML::LibXML direct SAX parser
Summary(pl.UTF-8):	Moduł Perla XML::LibXML::SAX - bezpośredni parser SAX z XML::LibXML
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description SAX
This class allows you to generate SAX2 events using LibXML. Note that
this is not a stream based parser, instead it parses documents into a
DOM and traverses the DOM tree. The reason being that libxml2's stream
based parsing is extremely primitive, and would require an extreme
amount of work to allow SAX2 parsing in a stream manner.

%description SAX -l pl.UTF-8
Ta klasa pozwala generować zdarzenia SAX2 przy użyciu LibXML2. To nie
jest parser bazujący na strumieniach - przetwarza dokumenty na DOM i
następnie wędruje po drzewie DOM. Wynika to z faktu, że w libxml2
parsowanie oparte na strumieniach jest bardzo prymitywne i wymagałoby
wiele pracy, aby umożliwić strumieniowe parsowanie SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
SKIP_SAX_INSTALL=true;
export SKIP_SAX_INSTALL

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install example/{*.pl,*.xml,*.dtd,*.xhtml} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex
install example/complex/{*.xml,*.dtd} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd
install example/complex/dtd/*.dtd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/complex/dtd

%clean
rm -rf $RPM_BUILD_ROOT

%post SAX
umask 022
%{__perl} -MXML::SAX -e "XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"

%preun SAX
if [ "$1" = "0" ]; then
	umask 022
	%{__perl} -MXML::SAX -e "XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers()"
fi

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/LibXML.pm
%dir %{perl_vendorarch}/XML/LibXML
%{perl_vendorarch}/XML/LibXML/[!S]*.pm
%dir %{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/auto/XML/LibXML/LibXML.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/LibXML/LibXML.so
%{_mandir}/man3/XML::LibXML.3pm*
%{_mandir}/man3/XML::LibXML::[!S]*
%{_mandir}/man3/XML::LibXML::S[!A]*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/x*.pl
%{_examplesdir}/%{name}-%{version}/[!x]*

%files SAX
%defattr(644,root,root,755)
%dir %{perl_vendorarch}/XML/LibXML/SAX
%{perl_vendorarch}/XML/LibXML/SAX.pm
%{perl_vendorarch}/XML/LibXML/SAX/*.pm
%{_mandir}/man3/XML::LibXML::SAX.3pm*
%{_mandir}/man3/XML::LibXML::SAX::*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-LibXML.spec,v $
Revision 1.66  2012/01/22 22:45:44  zbyniu
- up to 1.90

Revision 1.65  2012/01/15 20:11:42  zbyniu
- up to 1.75

Revision 1.64  2011/10/04 13:09:33  lisu
- rel 7

Revision 1.63  2011/01/27 22:00:08  sparky
- dropped unused BR: gdome2-devel, pkgconfig
- tests BR: iconv

Revision 1.62  2010/11/12 23:38:20  pawelz
- release 6

Revision 1.61  2010/06/06 08:44:44  arekm
- release 5

Revision 1.60  2009/10/13 06:54:32  amateja
- removed BR: perl-XML-LibXML-Common
- release 4

Revision 1.59  2009/10/13 06:47:58  amateja
- added missing %dirs in %files section
- release 3

Revision 1.58  2009/10/11 09:48:42  amateja
- added O: perl-XML-LibXML-Common
- release 2

Revision 1.57  2009/10/11 07:13:28  amateja
- updated to 1.70

Revision 1.56  2009/03/13 23:47:35  hawk
- release 2

Revision 1.55  2008/03/02 16:45:07  radek
- version 1.66

Revision 1.54  2008-02-08 14:09:28  arekm
- rel 2

Revision 1.53  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.52  2007-10-06 13:15:41  radek
- version 1.65

Revision 1.51  2007/07/14 19:09:43  radek
- version 1.63
- added -empty_PI_tests.patch (remove when not needed)

Revision 1.50  2007/03/31 17:03:56  qboosh
- generic URL

Revision 1.49  2007/03/26 22:02:45  radek
- release 2: P/O: perl-XML-LibXML-XPathContext

Revision 1.48  2007/03/26 21:44:29  radek
- version 1.62001, removed bogus todo

Revision 1.47  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.45  2006/10/20 20:55:33  ankry
- up to 1.61003 (ver. 1.61_003 to avoid epoch bump in future)

Revision 1.44  2006/03/27 10:08:06  qboosh
- strict internal deps

Revision 1.43  2005/10/13 21:05:47  glen
- rel 2 to rebuild with proper perl-XML-LibXML-Common require

Revision 1.42  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.41  2004/11/03 22:30:56  paladine
- formatting

Revision 1.40  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.39  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.38  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.37  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.36  2004/04/04 17:26:27  adamg
- updated to 1.58

Revision 1.35  2004/03/06 19:01:28  adamg
- changed bcond to without (all tests passed)

Revision 1.34  2004/03/06 18:47:55  adamg
- updated to 1.57
- removed unneeded -Makefile and -extern patches

Revision 1.33  2004/02/23 22:09:00  ankry
- pl fixes, cosmetics

Revision 1.32  2004/01/07 15:40:29  qboosh
- don't remove_parser on upgrade

Revision 1.31  2004/01/07 14:46:08  qboosh
- updated to 1.56, added extern patch - builds with libxml2 1.6.x (tests still not passed)

Revision 1.30  2003/10/02 08:00:59  qboosh
- BR: pkgconfig (needed to detect current gdome2 using gdome-config)
- cosmetics, use standard glob exclusion

Revision 1.29  2003/09/10 03:25:49  aredridel
- added todo

Revision 1.28  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.27  2003/08/26 20:31:21  ankry
- s/[Gg]nome/GNOME/

Revision 1.26  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/07/27 12:16:41  radek
- release 4:  BR: gdome2-devel
- fixed License field
- provided informative Summary
- use the __perl macro in post/preun

Revision 1.24  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/02 12:15:02  ankry
- removed bogus R(post,preun)

Revision 1.21  2003/03/31 23:57:40  ankry
- moved Req(post,preun) to proper package
- set umask in scripts
- rel. 3

Revision 1.20  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.19  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.18  2003/02/20 22:22:18  ankry
- updated to 1.54.3

Revision 1.17  2003/02/18 15:39:14  ankry
- massive attack: change CPAN URLs

Revision 1.16  2003/02/09 21:25:46  qboosh
- Requires(post,preun): perl-XML-LibXML-SAX

Revision 1.15  2002/12/28 16:30:00  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.14  2002/10/13 19:04:41  kloczek
- release 3.

Revision 1.13  2002/10/06 13:16:52  qboosh
- BR: perl-XML-LibXML-Common

Revision 1.12  2002/10/02 11:47:37  ankry
- removed common dirs (->perl-XML-LibXML-Common)
- release 2

Revision 1.11  2002/09/28 23:19:56  ankry
- added tests
- fixed BR
- %%{_examplesdir} and %%doc fixes
- version 1.53

Revision 1.10  2002/07/20 15:07:15  qboosh
- updated to 1.52, added missing XML::LibXML::SAX module to -SAX

Revision 1.9  2002/07/19 23:43:03  ankry
- translations, cleaning
- s/XML::LibXML-SAX/XML::LibXML::SAX/g
- moved XML/LibXML/SAX.pm also to -SAX package
- remove *.pod from %%files
- release 2

Revision 1.8  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.7  2002/07/11 11:07:32  depesz
- corrected man list

Revision 1.6  2002/07/11 08:06:21  depesz
- new version; should work; STBR

Revision 1.5  2002/07/10 09:02:55  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/19 12:33:32  grabba
- spec adapterized

Revision 1.2  2002/04/15 10:23:30  qboosh
- pl descriptions

Revision 1.1  2002/04/14 14:23:50  grabba
- first release
